*
 
download.fi - Löydä ja lataa ohjelmia

Muutoshistoria ohjelmalle VMware Server

<<Takaisin ohjelman lataussivulle

Muutokset v1.0.7 Build 108231 - v1.0.8 Build 126538

  • Server 1.0.8 addresses the following security issue: VMware Addresses Privilege Escalation on Guest Systems Running 32-Bit or 64-Bit Operating Systems.VMware products emulate hardware functions and create the possibility to run guest operating systems. A flaw in the CPU hardware emulation might allow the virtual CPU to incorrectly handle the trap flag. Exploitation of this flaw might lead to a privilege escalation on guest operating systems. An attacker needs a user account on the guest operating system and have the ability to run applications. The Common Vulnerabilities and Exposures has assigned the name CVE-2008-4915 to this issue.



Muutokset v1.0.5 Build 80187 - v1.0.6 Build 91891

  • Virtual machines fail unexpectedly after a Symantec virus definition update from version 213 to version 220. bug 252341
  • Previous versions of VMware Server allowed using the VIX API from the guest operating system. In VMware Server 1.0.6 this is no longer allowed by default. This feature can be enabled in VMware Server 1.0.6 by setting a new parameter in the configuration (.vmx) file: vix.inGuest.enable="TRUE"



Muutokset v1.0.4 Build 56528 - v1.0.5 Build 80187

  • A security vulnerability in OpenSSL 0.9.7j could make it possible to forge a RSA key signature. VMware Server 1.0.5 upgrades OpenSSL to version 0.9.7l to avoid this vulnerability. bug 216497), RSA Signature Forgery (CVE-2006-4339)
  • An internal security audit determined that a malicious user could attain and exploit LocalSystem privileges by causing the authd process to connect to a named pipe that is opened and controlled by the malicious user. In this situation, the malicious user could successfully impersonate authd and attain privileges under which authd is executing. bug 235420, (Foundstone CODE-BUG-H-001)
  • An internal security audit determined that a malicious user could exploit an insecurely created named pipe object to escalate priviliges or create a denial-of-service attack. bug 235833, (Foundstone CODE-BUG-H-002)
  • This release updates the libpng library to version 1.2.22 to remove various security vulnerabilities. bug 237049
  • A vulnerability in VMware Workstation running on Windows allowed complete access to the host's file system from a guest machine. This access included the ability to create and modify executable files in sensitive locations. bug 240000, (CORE-2007-0930)
  • The authd process read and honored the vmx.fullpath variable in the user-writable file config.ini, creating a security vulnerability. bug 241648
  • The config.ini file could be modified by non-administrator to change the VMX launch path. This created a vulnerability that could be exploited to escalate a user's privileges. bug 241677



<<Takaisin ohjelman lataussivulle